<template>
  <div class="container">
    <TheHeader />
    <nuxt class="content"/>
    <Notificationbar />
    <TheFooter />
  </div>
</template>

<script>
import TheHeader from "@/components/layout/header/TheHeader";
import Notificationbar from "@/components/base/Notificationbar";
import TheFooter from "@/components/layout/footer/TheFooter";

export default {
  components: {
    TheHeader,
    Notificationbar,
    TheFooter
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables'

.container
  position relative

.content
  margin-top $header-height
  min-height 'calc(100vh - %s)' % ($footer-min-height + $header-height)
</style>
